package com.jasamedika.medifirst2000.entities;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;
import com.jasamedika.medifirst2000.entities.Agama;
import com.jasamedika.medifirst2000.entities.OrderProduk;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;

import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

/**
 * class DetailRadiologi
 * 
 * @author Generator
 */
@Entity //@Audited
@Table(name = "DetailRadiologi_T")
public class DetailRadiologi extends MedicalRecordTransaction {

	@Column(name = "Keluhan", nullable = true, length = 100)
	@Caption(value = "Keluhan")
	private String keluhan;

	@Column(name = "tglHaidTerkait", nullable = true, length = 100)
	@Caption(value = "Tanggal Haid Terkait")
	private Date tglHaidTerkait;
	
	
	public String getKeluhan() {
		return keluhan;
	}

	public void setKeluhan(String keluhan) {
		this.keluhan = keluhan;
	}

	public Date getTglHaidTerkait() {
		return tglHaidTerkait;
	}

	public void setTglHaidTerkait(Date tglHaidTerkait) {
		this.tglHaidTerkait = tglHaidTerkait;
	}

	@ManyToOne
	@JoinColumn(name = "OrderProdukFk")
	@NotNull(message = "OrderProduk Harus Diisi")
	@Caption(value = "OrderProduk")
	private OrderProduk orderProduk;

	public OrderProduk getOrderProduk() {
		return orderProduk;
	}

	public void setOrderProduk(OrderProduk orderProduk) {
		this.orderProduk = orderProduk;
	}

	@Column(name = "OrderProdukFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false)
	private String orderProdukId;

}